#!/bin/bash
# wait-for-database.sh

set -e

cmd="$@"

until PGPASSWORD=${DB_PW} psql "${DB_NAME}" -h "${DB_HOST}" -U "${DB_USER}" -c '\q'; do
  >&2 echo "Database is unavailable - sleeping"
  sleep 5
done

>&2 echo "Database is up - executing command ${cmd}"
exec ${cmd}
